<ng-container *ngIf="product$ | async as product ">
    <div class="card product-card">
        <div class="card shadow">
            <div class="card-header">
                <p>Product: {{product.id}}</p>
            </div>
            <div class="card-body">
                Name: <h6 class="card-text">{{product.name}}</h6>
                Price: <h2 class="text-primary">{{product.price}}</h2>
                Description: <p class="card-text">{{product.description}}</p></div>
        </div>
    </div>
</ng-container>

